0

PHP:n päivitys ja suhosin-moduuli

Hei,

Lauantaina 8.2. tehdyn päivityksen jälkeen eräs cronilla ajettava php-ohjelmana antaa seuraavan virheilmoituksen:

PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php5/20100525/suhosin.so' - /usr/lib/php5/20100525/suhosin.so: cannot open shared object file: No such file or directory in Unknown on line 0

Mitähän tarttis tehdä?

S.K.

sivullinen's avatar
1
sivullinen
asked 2014-02-09 11:35:56 +0200
edit flag offensive 0 remove flag close merge delete

Comments

add a comment see more comments

2 Answers

0

Oletko mahdollisesti tehnyt oman php.ini-tiedoston?

Jos olet, täytyy se päivittää. Ohjeen nykyinen versio neuvoo miten tiedosto tehdään niin, ettei tarvitse enää ottaa kopiota koko php.inistä. Näin näitä ongelmia ei pitäisi enää tulla.

jpa's avatar
1.4k
jpa
answered 2014-02-09 13:40:43 +0200
edit flag offensive 0 remove flag delete link

Comments

add a comment see more comments
0

Kyseessä on varmaankin bugi Debianin päivityksessä. Kyseinen kirjasto poistui Wheezy-päivityksen yhteydessä mutta jäi kummittelemaan conffeihin. Linkki Debianin bugiraporttiin. Ilmeisesti ylläpidolta on jäänyt ajamatta tuo dpkg --purge php5-suhosin.

terol's avatar
272
terol
answered 2014-02-09 15:26:09 +0200
edit flag offensive 0 remove flag delete link

Comments

add a comment see more comments

Your Answer

Login/Signup to Answer